import filterRange from "../solution_24.js";
import assert from "assert";

describe("\n\nSolution_24", () => {
  [
    [[5, 3, 8, 1], 1, 4, [3, 1]],
    [[2, 15, 30, 80], 14, 23, [15]],
    [[2, 3, 10, 4], 2, 5, [2, 3, 4]],
  ].map((obj) => {
    let [arr, num1, num2, filtered] = obj;
    let init = [...arr];
    it(`should return ${JSON.stringify(
      filtered
    )} for filterRange(${JSON.stringify(arr)}, ${num1}, ${num2})`, () => {
      assert.deepEqual(filterRange(arr, num1, num2), filtered);
    });
    it(`should not modify parameter array`, () => {
      assert.deepEqual(arr, init);
    });
  });
});
