import copySorted from "../solution_27.js";
import assert from "assert";

describe("\n\nSolution_27", () => {
  [
    [
      ["HTML", "JavaScript", "CSS"],
      ["CSS", "HTML", "JavaScript"],
    ],
    [
      ["ccc", "xxx", "aaa", "bbb"],
      ["aaa", "bbb", "ccc", "xxx"],
    ],
  ].map((obj) => {
    let [arr, sorted] = obj;

    let init = [...arr];
    it(`should return ${JSON.stringify(sorted)} for copySorted(${JSON.stringify(
      arr
    )})`, () => {
      assert.deepEqual(copySorted(arr), sorted);
    });
    it(`should not modify argument`, () => {
      assert.deepEqual(arr, init);
    });
  });
});
