import fullNames from "../solution_30.js";
import assert from "assert";

describe("\n\nSolution_30", () => {
  [
    [
      [
        { name: "John", surname: "Smith", id: 1 },
        { name: "Pete", surname: "Hunt", id: 2 },
        { name: "Mary", surname: "Key", id: 3 },
      ],
      [
        { fullName: "John Smith", id: 1 },
        { fullName: "Pete Hunt", id: 2 },
        { fullName: "Mary Key", id: 3 },
      ],
    ],
    [
      [
        { name: "Jim", surname: "Jones", id: 10 },
        { name: "Marry", surname: "McRoy", id: 22 },
        { name: "Johanna", surname: "Smith", id: 33 },
      ],
      [
        { fullName: "Jim Jones", id: 10 },
        { fullName: "Marry McRoy", id: 22 },
        { fullName: "Johanna Smith", id: 33 },
      ],
    ],
  ].map((obj) => {
    let [input, output] = obj;

    it(`should return ${JSON.stringify(output)} for fullNames('${JSON.stringify(
      input
    )}')`, () => {
      assert.deepEqual(fullNames(input), output);
    });
  });
});
