import sortByAge from "../solution_31.js";
import assert from "assert";

describe("\n\nSolution_31", () => {
  [
    [
      [
        { name: "John", age: 25 },
        { name: "Pete", age: 30 },
        { name: "Mary", age: 28 },
      ],
      [
        { name: "John", age: 25 },
        { name: "Mary", age: 28 },
        { name: "Pete", age: 30 },
      ],
    ],
    [
      [
        { name: "Jim", age: 35 },
        { name: "Jane", age: 30 },
        { name: "Maria", age: 21 },
      ],
      [
        { name: "Maria", age: 21 },
        { name: "Jane", age: 30 },
        { name: "Jim", age: 35 },
      ],
    ],
  ].map((obj) => {
    let [arr, sorted] = obj;

    it(`should convert ${JSON.stringify(arr)} to ${JSON.stringify(sorted)} when calling sortByAge('${JSON.stringify(
      arr
    )}')`, () => {
      sortByAge(arr)
      assert.deepEqual(arr, sorted);
    });
  });
});
