import getAverageAge from "../solution_32.js";
import assert from "assert";

describe("\n\nSolution_32", () => {
  [
    [
      [
        { name: "John", age: 25 },
        { name: "Pete", age: 30 },
        { name: "Mary", age: 29 },
      ],
      28,
    ],
    [
      [
        { name: "Jim", age: 35 },
        { name: "Jane", age: 30 },
        { name: "Maria", age: 22 },
      ],
      29,
    ],
  ].map((obj) => {
    let [arr, average] = obj;

    it(`should return ${JSON.stringify(
      average
    )} for getAverageAge('${JSON.stringify(arr)}')`, () => {
      assert.deepEqual(getAverageAge(arr), average);
    });
  });
});
