import unique from "../solution_33.js";
import assert from "assert";

describe("\n\nSolution_33", () => {
  [
    [
      [
        "Hare",
        "Krishna",
        "Hare",
        "Krishna",
        "Krishna",
        "Krishna",
        "Hare",
        "Hare",
        ":-O",
      ],
      ["Hare", "Krishna", ":-O"],
    ],
    [
      [
        "Jim",
        "Jane",
        "Jim",
        "Jane",
        "Maria",
        "Maria",
        "Jim",
        "Jim",
        "Jane",
        "Maria",
        "Jane",
        "Maria",
        "Jim",
        "Jane",
        "Maria",
      ],
      ["Jim", "Jane", "Maria"],
    ],
  ].map((obj) => {
    let [arr, res] = obj;

    let res_real = unique(arr);

    it(`should return ${JSON.stringify(res)} for unique('${JSON.stringify(
      arr
    )}')`, () => {
      assert.equal(res_real.length, res.length);
    });

    res.forEach((v) => {
      it(` ${v} should be in '${JSON.stringify(res_real)}'`, () => {
        assert.equal(res_real.includes(v), true);
      });
    });
  });
});
