import groupById from "../solution_34.js";
import assert from "assert";

describe("\n\nSolution_34", () => {
  [
    [
      [
        { id: "john", name: "John Smith", age: 20 },
        { id: "ann", name: "Ann Smith", age: 24 },
        { id: "pete", name: "Pete Peterson", age: 31 },
      ],
      {
        john: { id: "john", name: "John Smith", age: 20 },
        ann: { id: "ann", name: "Ann Smith", age: 24 },
        pete: { id: "pete", name: "Pete Peterson", age: 31 },
      },
    ],
    [
      [
        { id: "jim", name: "Jim Jones", age: 35 },
        { id: "jane", name: "Jane Ann", age: 44 },
        { id: "maria", name: "Maria Anastaseva", age: 45 },
      ],
      {
        jim: { id: "jim", name: "Jim Jones", age: 35 },
        jane: { id: "jane", name: "Jane Ann", age: 44 },
        maria: { id: "maria", name: "Maria Anastaseva", age: 45 },
      },
    ],
  ].map((obj) => {
    let [arr, grouped] = obj;

    it(`should return ${JSON.stringify(
      grouped
    )} for groupById('${JSON.stringify(arr)}')`, () => {
      assert.deepEqual(groupById(arr), grouped);
    });
  });
});
